org.eclnt.jsfserver.elements.componentnodes

## Class UI5U_SPLITCONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5U_SPLITCONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5U_SPLITCONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5U_SPLITCONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5U_SPLITCONTAINERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindOrientation(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindSecondarycontentsize(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindShowsecondarycontent(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5U_SPLITCONTAINERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setAttributemacro(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setComment(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setId(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setLayoutdata(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setOrientation(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setReference(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setRendered(boolean value)`
    `UI5U_SPLITCONTAINERNode` | `setRendered(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setSecondarycontentsize(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setShowsecondarycontent(boolean value)`
    `UI5U_SPLITCONTAINERNode` | `setShowsecondarycontent(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setStyleseq(java.lang.String value)`
    `UI5U_SPLITCONTAINERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5U_SPLITCONTAINERNode

          public UI5U_SPLITCONTAINERNode()

  - ### Method Detail

    - #### setId

          public UI5U_SPLITCONTAINERNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5U_SPLITCONTAINERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5U_SPLITCONTAINERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5U_SPLITCONTAINERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5U_SPLITCONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5U_SPLITCONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5U_SPLITCONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5U_SPLITCONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5U_SPLITCONTAINERNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5U_SPLITCONTAINERNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setOrientation

          public UI5U_SPLITCONTAINERNode setOrientation(java.lang.String value)

    - #### bindOrientation

          public UI5U_SPLITCONTAINERNode bindOrientation(IDynamicContentBindingObject value)

    - #### setReference

          public UI5U_SPLITCONTAINERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5U_SPLITCONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5U_SPLITCONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5U_SPLITCONTAINERNode setRendered(boolean value)

    - #### setSecondarycontentsize

          public UI5U_SPLITCONTAINERNode setSecondarycontentsize(java.lang.String value)

    - #### bindSecondarycontentsize

          public UI5U_SPLITCONTAINERNode bindSecondarycontentsize(IDynamicContentBindingObject value)

    - #### setShowsecondarycontent

          public UI5U_SPLITCONTAINERNode setShowsecondarycontent(java.lang.String value)

    - #### bindShowsecondarycontent

          public UI5U_SPLITCONTAINERNode bindShowsecondarycontent(IDynamicContentBindingObject value)

    - #### setShowsecondarycontent

          public UI5U_SPLITCONTAINERNode setShowsecondarycontent(boolean value)

    - #### setStyleseq

          public UI5U_SPLITCONTAINERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5U_SPLITCONTAINERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5U_SPLITCONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5U_SPLITCONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.